
package de.ivu.elect.presentation.benutzerverwaltung.table;

import de.ivu.elect.business.benutzerverwaltung.entity.Nachricht;
import de.ivu.elect.business.benutzerverwaltung.entity.NachrichtConstants;
import de.ivu.elect.business.benutzerverwaltung.entity.NachrichtMeta;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

@Deprecated // de.ivu.elect.presentation.table.AbstractColumnEntry.setValueDecorator() verwenden
public class NachrichtEmpfaengerGruppeArtColumn<E extends Nachricht> extends AbstractNachrichtColumn<E> {

  private static final long serialVersionUID = 1L;

  public NachrichtEmpfaengerGruppeArtColumn(Messages messages, NachrichtMeta nachrichtMeta) {
    super(NachrichtEmpfaengerGruppeArtColumn.class.getName(), messages, NachrichtConstants.MESSAGE_KEY_EMPFAENGER_GRUPPE_ART_EINZAHL, ColumnType.ENUM, Nachricht::getEmpfaengerGruppeArt);
  }

  @Override
  @SuppressWarnings("unchecked")
  public Object getValue(E nachricht) {
    Object value = super.getValue(nachricht);

    if (nachricht.hasUrspruenglicheNachricht()) {
      return getValue((E) nachricht.getUrspruenglicheNachricht()) + " (" + value + ")";
    }

    return value;
  }
}
